Skip to main content
GET
/
collections
/
{collection_id}
/
videos
/
{file_id}
/
entities
Retrieve extracted entities for a specific file in a collection
curl --request GET \
  --url https://api.cloudglue.dev/v1/collections/{collection_id}/videos/{file_id}/entities \
  --header 'Authorization: Bearer <token>'
{
  "collection_id": "<string>",
  "file_id": "<string>",
  "entities": {},
  "segment_entities": [
    {
      "start_time": 123,
      "end_time": 123,
      "entities": {},
      "thumbnail_url": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123,
  "thumbnail_url": "<string>",
  "chapters": [
    {
      "index": 1,
      "start_time": 1,
      "end_time": 1,
      "description": "<string>"
    }
  ],
  "shots": [
    {
      "index": 1,
      "start_time": 1,
      "end_time": 1
    }
  ],
  "total_chapters": 1,
  "total_shots": 1
}
For details on how to create a video collection, see Create Collection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string
required

The ID of the collection

file_id
string
required

The ID of the file

Query Parameters

limit
integer

Maximum number of segment entities to return

Required range: 1 <= x <= 100
offset
integer

Number of segment entities to skip

Required range: x >= 0
include_thumbnails
boolean

When true, include a file-level thumbnail_url in the response and a per-segment thumbnail_url on each segment entity

include_chapters
boolean
default:false

Include narrative chapters in the response (when segmentation strategy is 'narrative')

include_shots
boolean
default:false

Include shot boundaries in the response (when segmentation strategy is 'shot-detector')

Response

File entities

collection_id
string
required

ID of the collection

file_id
string
required

ID of the file

entities
object
required

Entities extracted from the file at the video level

segment_entities
object[]
required

Array of video entities extracted from individual time segments

total
integer
required

Total number of segment entities available

limit
integer
required

Maximum number of entities returned per request

offset
integer
required

Number of entities skipped

thumbnail_url
string<uri>

URL of the file-level thumbnail for the video. Only present when include_thumbnails=true.

chapters
object[]

Array of narrative chapters (only present when include_chapters=true and segmentation strategy is 'narrative')

shots
object[]

Array of shot boundaries (only present when include_shots=true and segmentation strategy is 'shot-detector')

total_chapters
integer

Total number of chapters (only present when include_chapters=true and segmentation strategy is 'narrative')

Required range: x >= 0
total_shots
integer

Total number of shots (only present when include_shots=true and segmentation strategy is 'shot-detector')

Required range: x >= 0